Update rubocop
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     actioncable (5.1.5)
6       actionpack (= 5.1.5)
7       nio4r (~> 2.0)
8       websocket-driver (~> 0.6.1)
9     actionmailer (5.1.5)
10       actionpack (= 5.1.5)
11       actionview (= 5.1.5)
12       activejob (= 5.1.5)
13       mail (~> 2.5, >= 2.5.4)
14       rails-dom-testing (~> 2.0)
15     actionpack (5.1.5)
16       actionview (= 5.1.5)
17       activesupport (= 5.1.5)
18       rack (~> 2.0)
19       rack-test (>= 0.6.3)
20       rails-dom-testing (~> 2.0)
21       rails-html-sanitizer (~> 1.0, >= 1.0.2)
22     actionpack-page_caching (1.1.0)
23       actionpack (>= 4.0.0, < 6)
24     actionview (5.1.5)
25       activesupport (= 5.1.5)
26       builder (~> 3.1)
27       erubi (~> 1.4)
28       rails-dom-testing (~> 2.0)
29       rails-html-sanitizer (~> 1.0, >= 1.0.3)
30     activejob (5.1.5)
31       activesupport (= 5.1.5)
32       globalid (>= 0.3.6)
33     activemodel (5.1.5)
34       activesupport (= 5.1.5)
35     activerecord (5.1.5)
36       activemodel (= 5.1.5)
37       activesupport (= 5.1.5)
38       arel (~> 8.0)
39     activesupport (5.1.5)
40       concurrent-ruby (~> 1.0, >= 1.0.2)
41       i18n (~> 0.7)
42       minitest (~> 5.1)
43       tzinfo (~> 1.1)
44     addressable (2.5.2)
45       public_suffix (>= 2.0.2, < 4.0)
46     annotate (2.7.2)
47       activerecord (>= 3.2, < 6.0)
48       rake (>= 10.4, < 13.0)
49     arel (8.0.0)
50     ast (2.4.0)
51     autoprefixer-rails (8.2.0)
52       execjs
53     bigdecimal (1.1.0)
54     builder (3.2.3)
55     canonical-rails (0.2.2)
56       rails (>= 4.1, < 5.2)
57     capybara (2.18.0)
58       addressable
59       mini_mime (>= 0.1.3)
60       nokogiri (>= 1.3.3)
61       rack (>= 1.0.0)
62       rack-test (>= 0.5.4)
63       xpath (>= 2.0, < 4.0)
64     climate_control (0.2.0)
65     cliver (0.3.2)
66     coffee-rails (4.2.2)
67       coffee-script (>= 2.2.0)
68       railties (>= 4.0.0)
69     coffee-script (2.4.1)
70       coffee-script-source
71       execjs
72     coffee-script-source (1.12.2)
73     composite_primary_keys (10.0.3)
74       activerecord (~> 5.1.0, >= 5.1.5)
75     concurrent-ruby (1.0.5)
76     coveralls (0.8.21)
77       json (>= 1.8, < 3)
78       simplecov (~> 0.14.1)
79       term-ansicolor (~> 1.3)
80       thor (~> 0.19.4)
81       tins (~> 1.6)
82     crack (0.4.3)
83       safe_yaml (~> 1.0.0)
84     crass (1.0.3)
85     dalli (2.7.6)
86     docile (1.1.5)
87     dynamic_form (1.1.4)
88     erubi (1.7.1)
89     execjs (2.7.0)
90     exifr (1.3.3)
91     factory_bot (4.8.2)
92       activesupport (>= 3.0.0)
93     factory_bot_rails (4.8.2)
94       factory_bot (~> 4.8.2)
95       railties (>= 3.0.0)
96     faraday (0.12.2)
97       multipart-post (>= 1.2, < 3)
98     ffi (1.9.23)
99     fspath (3.1.0)
100     geoip (1.6.4)
101     globalid (0.4.1)
102       activesupport (>= 4.2.0)
103     hashdiff (0.3.7)
104     hashie (3.5.7)
105     htmlentities (4.3.4)
106     http_accept_language (2.0.5)
107     i18n (0.9.5)
108       concurrent-ruby (~> 1.0)
109     i18n-js (3.0.5)
110       i18n (>= 0.6.6, < 2)
111     image_optim (0.26.1)
112       exifr (~> 1.2, >= 1.2.2)
113       fspath (~> 3.0)
114       image_size (~> 1.5)
115       in_threads (~> 1.3)
116       progress (~> 3.0, >= 3.0.1)
117     image_optim_rails (0.4.1)
118       image_optim (~> 0.24)
119       rails
120       sprockets
121     image_size (1.5.0)
122     in_threads (1.5.0)
123     jquery-rails (4.3.1)
124       rails-dom-testing (>= 1, < 3)
125       railties (>= 4.2.0)
126       thor (>= 0.14, < 2.0)
127     jshint (1.5.0)
128       execjs (>= 1.4.0)
129       multi_json (~> 1.0)
130       therubyracer (~> 0.12.1)
131     json (2.1.0)
132     jsonify (0.3.1)
133       multi_json (~> 1.0)
134     jsonify-rails (0.3.2)
135       actionpack
136       jsonify (< 0.4.0)
137     jwt (1.5.6)
138     kgio (2.11.2)
139     libv8 (3.16.14.19)
140     libxml-ruby (3.1.0)
141     listen (3.1.5)
142       rb-fsevent (~> 0.9, >= 0.9.4)
143       rb-inotify (~> 0.9, >= 0.9.7)
144       ruby_dep (~> 1.2)
145     logstash-event (1.2.02)
146     logstasher (1.2.2)
147       activesupport (>= 4.0)
148       logstash-event (~> 1.2.0)
149       request_store
150     loofah (2.2.2)
151       crass (~> 1.0.2)
152       nokogiri (>= 1.5.9)
153     mail (2.7.0)
154       mini_mime (>= 0.1.1)
155     method_source (0.9.0)
156     mime-types (3.1)
157       mime-types-data (~> 3.2015)
158     mime-types-data (3.2016.0521)
159     mimemagic (0.3.2)
160     mini_mime (1.0.0)
161     mini_portile2 (2.3.0)
162     minitest (5.11.3)
163     multi_json (1.13.1)
164     multi_xml (0.6.0)
165     multipart-post (2.0.0)
166     nio4r (2.3.0)
167     nokogiri (1.8.2)
168       mini_portile2 (~> 2.3.0)
169     nokogumbo (1.5.0)
170       nokogiri
171     oauth (0.4.7)
172     oauth-plugin (0.5.1)
173       multi_json
174       oauth (~> 0.4.4)
175       oauth2 (>= 0.5.0)
176       rack
177     oauth2 (1.4.0)
178       faraday (>= 0.8, < 0.13)
179       jwt (~> 1.0)
180       multi_json (~> 1.3)
181       multi_xml (~> 0.5)
182       rack (>= 1.2, < 3)
183     omniauth (1.8.1)
184       hashie (>= 3.4.6, < 3.6.0)
185       rack (>= 1.6.2, < 3)
186     omniauth-facebook (4.0.0)
187       omniauth-oauth2 (~> 1.2)
188     omniauth-github (1.3.0)
189       omniauth (~> 1.5)
190       omniauth-oauth2 (>= 1.4.0, < 2.0)
191     omniauth-google-oauth2 (0.5.3)
192       jwt (>= 1.5)
193       omniauth (>= 1.1.1)
194       omniauth-oauth2 (>= 1.5)
195     omniauth-mediawiki (0.0.3)
196       jwt (~> 1.0)
197       omniauth-oauth (~> 1.0)
198     omniauth-oauth (1.1.0)
199       oauth
200       omniauth (~> 1.0)
201     omniauth-oauth2 (1.5.0)
202       oauth2 (~> 1.1)
203       omniauth (~> 1.2)
204     omniauth-openid (1.0.1)
205       omniauth (~> 1.0)
206       rack-openid (~> 1.3.1)
207     omniauth-windowslive (0.0.12)
208       multi_json (~> 1.12)
209       omniauth-oauth2 (~> 1.4)
210     openstreetmap-deadlock_retry (1.3.0)
211     paperclip (5.3.0)
212       activemodel (>= 4.2.0)
213       activesupport (>= 4.2.0)
214       mime-types
215       mimemagic (~> 0.3.0)
216       terrapin (~> 0.6.0)
217     parallel (1.12.1)
218     parser (2.5.0.5)
219       ast (~> 2.4.0)
220     pg (0.21.0)
221     poltergeist (1.17.0)
222       capybara (~> 2.1)
223       cliver (~> 0.3.1)
224       websocket-driver (>= 0.2.0)
225     powerpack (0.1.1)
226     progress (3.4.0)
227     psych (3.0.2)
228     public_suffix (3.0.2)
229     puma (3.11.3)
230     r2 (0.2.7)
231     rack (2.0.4)
232     rack-cors (1.0.2)
233     rack-openid (1.3.1)
234       rack (>= 1.1.0)
235       ruby-openid (>= 2.1.8)
236     rack-test (0.8.3)
237       rack (>= 1.0, < 3)
238     rack-uri_sanitizer (0.0.2)
239     rails (5.1.5)
240       actioncable (= 5.1.5)
241       actionmailer (= 5.1.5)
242       actionpack (= 5.1.5)
243       actionview (= 5.1.5)
244       activejob (= 5.1.5)
245       activemodel (= 5.1.5)
246       activerecord (= 5.1.5)
247       activesupport (= 5.1.5)
248       bundler (>= 1.3.0)
249       railties (= 5.1.5)
250       sprockets-rails (>= 2.0.0)
251     rails-controller-testing (1.0.2)
252       actionpack (~> 5.x, >= 5.0.1)
253       actionview (~> 5.x, >= 5.0.1)
254       activesupport (~> 5.x)
255     rails-dom-testing (2.0.3)
256       activesupport (>= 4.2.0)
257       nokogiri (>= 1.6)
258     rails-html-sanitizer (1.0.4)
259       loofah (~> 2.2, >= 2.2.2)
260     rails-i18n (4.0.2)
261       i18n (~> 0.6)
262       rails (>= 4.0)
263     railties (5.1.5)
264       actionpack (= 5.1.5)
265       activesupport (= 5.1.5)
266       method_source
267       rake (>= 0.8.7)
268       thor (>= 0.18.1, < 2.0)
269     rainbow (3.0.0)
270     rake (12.3.1)
271     rb-fsevent (0.10.3)
272     rb-inotify (0.9.10)
273       ffi (>= 0.5.0, < 2)
274     record_tag_helper (1.0.0)
275       actionview (~> 5.x)
276     redcarpet (3.4.0)
277     ref (2.0.0)
278     request_store (1.4.1)
279       rack (>= 1.4)
280     rinku (2.0.4)
281     rotp (3.3.1)
282     rubocop (0.54.0)
283       parallel (~> 1.10)
284       parser (>= 2.5)
285       powerpack (~> 0.1)
286       rainbow (>= 2.2.2, < 4.0)
287       ruby-progressbar (~> 1.7)
288       unicode-display_width (~> 1.0, >= 1.0.1)
289     ruby-openid (2.7.0)
290     ruby-progressbar (1.9.0)
291     ruby_dep (1.5.0)
292     safe_yaml (1.0.4)
293     sanitize (4.6.4)
294       crass (~> 1.0.2)
295       nokogiri (>= 1.4.4)
296       nokogumbo (~> 1.4)
297     sass (3.5.6)
298       sass-listen (~> 4.0.0)
299     sass-listen (4.0.0)
300       rb-fsevent (~> 0.9, >= 0.9.4)
301       rb-inotify (~> 0.9, >= 0.9.7)
302     sass-rails (5.0.7)
303       railties (>= 4.0.0, < 6)
304       sass (~> 3.1)
305       sprockets (>= 2.8, < 4.0)
306       sprockets-rails (>= 2.0, < 4.0)
307       tilt (>= 1.1, < 3)
308     secure_headers (5.0.5)
309       useragent (>= 0.15.0)
310     simplecov (0.14.1)
311       docile (~> 1.1.0)
312       json (>= 1.8, < 3)
313       simplecov-html (~> 0.10.0)
314     simplecov-html (0.10.2)
315     sprockets (3.7.1)
316       concurrent-ruby (~> 1.0)
317       rack (> 1, < 3)
318     sprockets-rails (3.2.1)
319       actionpack (>= 4.0)
320       activesupport (>= 4.0)
321       sprockets (>= 3.0.0)
322     term-ansicolor (1.6.0)
323       tins (~> 1.0)
324     terrapin (0.6.0)
325       climate_control (>= 0.0.3, < 1.0)
326     therubyracer (0.12.3)
327       libv8 (~> 3.16.14.15)
328       ref
329     thor (0.19.4)
330     thread_safe (0.3.6)
331     tilt (2.0.8)
332     tins (1.16.3)
333     tzinfo (1.2.5)
334       thread_safe (~> 0.1)
335     uglifier (4.1.8)
336       execjs (>= 0.3.0, < 3)
337     unicode-display_width (1.3.0)
338     useragent (0.16.10)
339     validates_email_format_of (1.6.3)
340       i18n
341     vendorer (0.1.16)
342     webmock (3.3.0)
343       addressable (>= 2.3.6)
344       crack (>= 0.3.2)
345       hashdiff
346     websocket-driver (0.6.5)
347       websocket-extensions (>= 0.1.0)
348     websocket-extensions (0.1.3)
349     xpath (3.0.0)
350       nokogiri (~> 1.8)
351
352 PLATFORMS
353   ruby
354
355 DEPENDENCIES
356   SystemTimer (>= 1.1.3)
357   actionpack-page_caching
358   annotate
359   autoprefixer-rails
360   bigdecimal (~> 1.1.0)
361   canonical-rails
362   capybara (~> 2.13)
363   coffee-rails (~> 4.2)
364   composite_primary_keys (~> 10.0.0)
365   coveralls
366   dalli
367   dynamic_form
368   factory_bot_rails
369   faraday
370   geoip
371   htmlentities
372   http_accept_language (~> 2.0.0)
373   i18n-js (>= 3.0.0)
374   image_optim_rails
375   jquery-rails
376   jshint
377   json
378   jsonify-rails
379   kgio
380   libxml-ruby (>= 2.0.5)
381   listen
382   logstasher
383   minitest (~> 5.1)
384   oauth-plugin (>= 0.5.1)
385   omniauth
386   omniauth-facebook
387   omniauth-github
388   omniauth-google-oauth2 (>= 0.2.7)
389   omniauth-mediawiki (>= 0.0.3)
390   omniauth-openid
391   omniauth-windowslive
392   openstreetmap-deadlock_retry (>= 1.3.0)
393   paperclip (~> 5.2)
394   pg (~> 0.18)
395   poltergeist
396   psych
397   puma (~> 3.7)
398   r2 (~> 0.2.7)
399   rack-cors
400   rack-uri_sanitizer
401   rails (= 5.1.5)
402   rails-controller-testing
403   rails-i18n (~> 4.0.0)
404   record_tag_helper
405   redcarpet
406   rinku (>= 1.2.2)
407   rotp
408   rubocop
409   sanitize
410   sass-rails (~> 5.0)
411   secure_headers
412   uglifier (>= 1.3.0)
413   validates_email_format_of (>= 1.5.1)
414   vendorer
415   webmock
416
417 BUNDLED WITH
418    1.15.4